## Index

### Classes

- Component
- Engine
- Entity
- State
- System

### Interfaces

- ComponentConfig
- EntityConfig
- SystemConfig

### Functions

- capitalize
- copy
- getItem
- hasItem

## Functions

### capitalize

- capitalize(str: any): any

- - Defined in utils/capitalize.ts:6
  module

    utils

  #### Parameters

  - ##### str: any

  #### Returns any

### copy

- copy(obj: any): any

- - Defined in utils/copy.ts:6
  module

    utils

  #### Parameters

  - ##### obj: any

  #### Returns any

### getItem

- getItem(target: any, array: any, prop: any): any

- - Defined in utils/getItem.ts:6
  module

    utils

  #### Parameters

  - ##### target: any

  - ##### array: any

  - ##### prop: any

  #### Returns any

### hasItem

- hasItem(target: any, array: any, prop: any): boolean

- - Defined in utils/hasItem.ts:6
  module

    utils

  #### Parameters

  - ##### target: any

  - ##### array: any

  - ##### prop: any

  #### Returns boolean